<?php

function total_get_google_font_variants() {

    $font_list = array_merge(total_default_font_array(), total_standard_font_array(), total_google_font_array());

    $total_font_family = isset($_REQUEST['font_family']) ? sanitize_text_field(wp_unslash($_REQUEST['font_family'])) : '';
    $font_array = total_search_key($font_list, 'family', $total_font_family);

    $variants_array = $font_array['0']['variants'];

    if ($variants_array) {
        foreach ($variants_array as $key => $variants) {
            $selected = $key == '400' ? 'selected="selected"' : '';
            ?>
            <option <?php echo esc_attr($selected); ?> value="<?php echo esc_attr($key); ?>"><?php echo esc_html($variants); ?></option>
            <?php
        }
    }
    die();
}

add_action("wp_ajax_total_get_google_font_variants", "total_get_google_font_variants");

function total_search_key($array, $key, $value) {
    $results = array();
    if (is_array($array)) {
        if (isset($array[$key]) && $array[$key] == $value) {
            $results[] = $array;
        }
        foreach ($array as $subarray) {
            $results = array_merge($results, total_search_key($subarray, $key, $value));
        }
    }
    return $results;
}

function total_default_font_array() {
    return array(
        'default' => array(
            'family' => 'Default',
            'variants' => array(
                '100' => esc_html__('Thin', 'total'),
                '300' => esc_html__('Light', 'total'),
                '400' => esc_html__('Normal', 'total'),
                '400italic' => esc_html__('Normal Italic', 'total'),
                '500' => esc_html__('Medium', 'total'),
                '600' => esc_html__('Semi Bold', 'total'),
                '700' => esc_html__('Bold', 'total'),
                '700italic' => esc_html__('Bold Italic', 'total')
            ),
            'subsets' => array(
                'latin' => 'Latin'
            )
        )
    );
}

function total_google_font_array() {
    $google_font_json = '[{"family":"ABeeZee","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Abel","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Abhaya Libre","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","sinhala":"Sinhala"}},{"family":"Aboreto","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Abril Fatface","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Abyssinica SIL","variants":{"400":"Normal"},"subsets":{"ethiopic":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Aclonica","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Acme","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Actor","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Adamina","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Advent Pro","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"greek":"Greek","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Aguafina Script","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Akaya Kanadaka","variants":{"400":"Normal"},"subsets":{"kannada":"Kannada","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Akaya Telivigala","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","telugu":"Telugu"}},{"family":"Akronim","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Akshar","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Aladin","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Alata","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Alatsi","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Albert Sans","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Aldrich","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Alef","variants":{"400":"Normal","700":"Bold"},"subsets":{"hebrew":"Hebrew","latin":"Latin"}},{"family":"Alegreya","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Alegreya SC","variants":{"400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Alegreya Sans","variants":{"100":"Thin","100italic":"Thin Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Alegreya Sans SC","variants":{"100":"Thin","100italic":"Thin Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Aleo","variants":{"300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Alex Brush","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Alfa Slab One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Alice","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Alike","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Alike Angular","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Alkalami","variants":{"400":"Normal"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Allan","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Allerta","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Allerta Stencil","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Allison","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Allura","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Almarai","variants":{"300":"Light","400":"Normal","700":"Bold","800":"Extra Bold"},"subsets":{"arabic":"Arabic"}},{"family":"Almendra","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Almendra Display","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Almendra SC","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Alumni Sans","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Alumni Sans Collegiate One","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Alumni Sans Inline One","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Alumni Sans Pinstripe","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Amarante","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Amaranth","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin"}},{"family":"Amatic SC","variants":{"400":"Normal","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Amethysta","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Amiko","variants":{"400":"Normal","600":"Semi Bold","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Amiri","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Amiri Quran","variants":{"400":"Normal"},"subsets":{"arabic":"Arabic","latin":"Latin"}},{"family":"Amita","variants":{"400":"Normal","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Anaheim","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Andada Pro","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Andika","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Anek Bangla","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"bengali":"Bengali","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Anek Devanagari","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Anek Gujarati","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"gujarati":"Gujarati","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Anek Gurmukhi","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"gurmukhi":"Gurmukhi","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Anek Kannada","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"kannada":"Kannada","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Anek Latin","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Anek Malayalam","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","malayalam":"Malayalam"}},{"family":"Anek Odia","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","oriya":"Oriya"}},{"family":"Anek Tamil","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","tamil":"Tamil"}},{"family":"Anek Telugu","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","telugu":"Telugu"}},{"family":"Angkor","variants":{"400":"Normal"},"subsets":{"khmer":"Khmer","latin":"Latin"}},{"family":"Annie Use Your Telescope","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Anonymous Pro","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","greek":"Greek","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Antic","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Antic Didone","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Antic Slab","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Anton","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Antonio","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Anybody","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Arapey","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin"}},{"family":"Arbutus","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Arbutus Slab","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Architects Daughter","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Archivo","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Archivo Black","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Archivo Narrow","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Are You Serious","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Aref Ruqaa","variants":{"400":"Normal","700":"Bold"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Aref Ruqaa Ink","variants":{"400":"Normal","700":"Bold"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Arima","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","malayalam":"Malayalam","tamil":"Tamil","vietnamese":"Vietnamese"}},{"family":"Arima Madurai","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","tamil":"Tamil","vietnamese":"Vietnamese"}},{"family":"Arimo","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Arizonia","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Armata","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Arsenal","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Artifika","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Arvo","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin"}},{"family":"Arya","variants":{"400":"Normal","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Asap","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Asap Condensed","variants":{"400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Asar","variants":{"400":"Normal"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Asset","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Assistant","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Astloch","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"Asul","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"Athiti","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Atkinson Hyperlegible","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Atma","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"bengali":"Bengali","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Atomic Age","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Aubrey","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Audiowide","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Autour One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Average","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Average Sans","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Averia Gruesa Libre","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Averia Libre","variants":{"300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin"}},{"family":"Averia Sans Libre","variants":{"300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin"}},{"family":"Averia Serif Libre","variants":{"300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin"}},{"family":"Azeret Mono","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"B612","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin"}},{"family":"B612 Mono","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin"}},{"family":"BIZ UDGothic","variants":{"400":"Normal","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","greek-ext":"Greek Extended","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"BIZ UDMincho","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","greek-ext":"Greek Extended","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"BIZ UDPGothic","variants":{"400":"Normal","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","greek-ext":"Greek Extended","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"BIZ UDPMincho","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","greek-ext":"Greek Extended","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Babylonica","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Bad Script","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin"}},{"family":"Bahiana","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Bahianita","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Bai Jamjuree","variants":{"200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Bakbak One","variants":{"400":"Normal"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Ballet","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Baloo 2","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Baloo Bhai 2","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"gujarati":"Gujarati","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Baloo Bhaijaan 2","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Baloo Bhaina 2","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","oriya":"Oriya","vietnamese":"Vietnamese"}},{"family":"Baloo Chettan 2","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","malayalam":"Malayalam","vietnamese":"Vietnamese"}},{"family":"Baloo Da 2","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"bengali":"Bengali","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Baloo Paaji 2","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"gurmukhi":"Gurmukhi","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Baloo Tamma 2","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"kannada":"Kannada","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Baloo Tammudu 2","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","telugu":"Telugu","vietnamese":"Vietnamese"}},{"family":"Baloo Thambi 2","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","tamil":"Tamil","vietnamese":"Vietnamese"}},{"family":"Balsamiq Sans","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Balthazar","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Bangers","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Barlow","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Barlow Condensed","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Barlow Semi Condensed","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Barriecito","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Barrio","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Basic","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Baskervville","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Battambang","variants":{"100":"Thin","300":"Light","400":"Normal","700":"Bold","900":"Ultra Bold"},"subsets":{"khmer":"Khmer","latin":"Latin"}},{"family":"Baumans","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Bayon","variants":{"400":"Normal"},"subsets":{"khmer":"Khmer","latin":"Latin"}},{"family":"Be Vietnam Pro","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Beau Rivage","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Bebas Neue","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Belgrano","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Bellefair","variants":{"400":"Normal"},"subsets":{"hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Belleza","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Bellota","variants":{"300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Bellota Text","variants":{"300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"BenchNine","variants":{"300":"Light","400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Benne","variants":{"400":"Normal"},"subsets":{"kannada":"Kannada","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Bentham","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Berkshire Swash","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Besley","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Beth Ellen","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Bevan","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"BhuTuka Expanded One","variants":{"400":"Normal"},"subsets":{"gurmukhi":"Gurmukhi","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Big Shoulders Display","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Big Shoulders Inline Display","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Big Shoulders Inline Text","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Big Shoulders Stencil Display","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Big Shoulders Stencil Text","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Big Shoulders Text","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Bigelow Rules","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Bigshot One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Bilbo","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Bilbo Swash Caps","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"BioRhyme","variants":{"200":"Extra Light","300":"Light","400":"Normal","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"BioRhyme Expanded","variants":{"200":"Extra Light","300":"Light","400":"Normal","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Birthstone","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Birthstone Bounce","variants":{"400":"Normal","500":"Medium"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Biryani","variants":{"200":"Extra Light","300":"Light","400":"Normal","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Bitter","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Black And White Picture","variants":{"400":"Normal"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Black Han Sans","variants":{"400":"Normal"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Black Ops One","variants":{"400":"Normal"},"subsets":{"cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Blaka","variants":{"400":"Normal"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Blaka Hollow","variants":{"400":"Normal"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Blaka Ink","variants":{"400":"Normal"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Blinker","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Bodoni Moda","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Bokor","variants":{"400":"Normal"},"subsets":{"khmer":"Khmer","latin":"Latin"}},{"family":"Bona Nova","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Bonbon","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Bonheur Royale","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Boogaloo","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Bowlby One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Bowlby One SC","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Brawler","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"Bree Serif","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Brygada 1918","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Bubblegum Sans","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Bubbler One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Buda","variants":{"300":"Light"},"subsets":{"latin":"Latin"}},{"family":"Buenard","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Bungee","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Bungee Hairline","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Bungee Inline","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Bungee Outline","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Bungee Shade","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Bungee Spice","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Butcherman","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Butterfly Kids","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Cabin","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Cabin Condensed","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Cabin Sketch","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"Caesar Dressing","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Cagliostro","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Cairo","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Cairo Play","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Caladea","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Calistoga","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Calligraffitti","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Cambay","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Cambo","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Candal","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Cantarell","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin"}},{"family":"Cantata One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Cantora One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Capriola","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Caramel","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Carattere","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Cardo","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold"},"subsets":{"greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Carme","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Carrois Gothic","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Carrois Gothic SC","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Carter One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Castoro","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Catamaran","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","tamil":"Tamil"}},{"family":"Caudex","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Caveat","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Caveat Brush","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Cedarville Cursive","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Ceviche One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Chakra Petch","variants":{"300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Changa","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Changa One","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin"}},{"family":"Chango","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Charis SIL","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Charm","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Charmonman","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Chathura","variants":{"100":"Thin","300":"Light","400":"Normal","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","telugu":"Telugu"}},{"family":"Chau Philomene One","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Chela One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Chelsea Market","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Chenla","variants":{"400":"Normal"},"subsets":{"khmer":"Khmer"}},{"family":"Cherish","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Cherry Cream Soda","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Cherry Swash","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Chewy","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Chicle","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Chilanka","variants":{"400":"Normal"},"subsets":{"latin":"Latin","malayalam":"Malayalam"}},{"family":"Chivo","variants":{"300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Chonburi","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Cinzel","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Cinzel Decorative","variants":{"400":"Normal","700":"Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin"}},{"family":"Clicker Script","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Coda","variants":{"400":"Normal","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Coda Caption","variants":{"800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Codystar","variants":{"300":"Light","400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Coiny","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","tamil":"Tamil","vietnamese":"Vietnamese"}},{"family":"Combo","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Comfortaa","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Comforter","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Comforter Brush","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Comic Neue","variants":{"300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin"}},{"family":"Coming Soon","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Commissioner","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Concert One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Condiment","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Content","variants":{"400":"Normal","700":"Bold"},"subsets":{"khmer":"Khmer"}},{"family":"Contrail One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Convergence","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Cookie","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Copse","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Corben","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Corinthia","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Cormorant","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Cormorant Garamond","variants":{"300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Cormorant Infant","variants":{"300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Cormorant SC","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Cormorant Unicase","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Cormorant Upright","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Courgette","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Courier Prime","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Cousine","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Coustard","variants":{"400":"Normal","900":"Ultra Bold"},"subsets":{"latin":"Latin"}},{"family":"Covered By Your Grace","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Crafty Girls","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Creepster","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Crete Round","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Crimson Pro","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Crimson Text","variants":{"400":"Normal","400italic":"Normal Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Croissant One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Crushed","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Cuprum","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Cute Font","variants":{"400":"Normal"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Cutive","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Cutive Mono","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"DM Mono","variants":{"300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"DM Sans","variants":{"400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"DM Serif Display","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"DM Serif Text","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Damion","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Dancing Script","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Dangrek","variants":{"400":"Normal"},"subsets":{"khmer":"Khmer","latin":"Latin"}},{"family":"Darker Grotesque","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"David Libre","variants":{"400":"Normal","500":"Medium","700":"Bold"},"subsets":{"hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Dawning of a New Day","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Days One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Dekko","variants":{"400":"Normal"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Dela Gothic One","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","greek":"Greek","japanese":null,"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Delius","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Delius Swash Caps","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Delius Unicase","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"Della Respira","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Denk One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Devonshire","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Dhurjati","variants":{"400":"Normal"},"subsets":{"latin":"Latin","telugu":"Telugu"}},{"family":"Didact Gothic","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Diplomata","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Diplomata SC","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Do Hyeon","variants":{"400":"Normal"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Dokdo","variants":{"400":"Normal"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Domine","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Donegal One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Dongle","variants":{"300":"Light","400":"Normal","700":"Bold"},"subsets":{"korean":null,"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Doppio One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Dorsa","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Dosis","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"DotGothic16","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Dr Sugiyama","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Duru Sans","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"DynaPuff","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Dynalight","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"EB Garamond","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Eagle Lake","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"East Sea Dokdo","variants":{"400":"Normal"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Eater","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Economica","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Eczar","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"devanagari":"Devanagari","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Edu NSW ACT Foundation","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"Edu QLD Beginner","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"Edu SA Beginner","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"Edu TAS Beginner","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"Edu VIC WA NT Beginner","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"El Messiri","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"arabic":"Arabic","cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Electrolize","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Elsie","variants":{"400":"Normal","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Elsie Swash Caps","variants":{"400":"Normal","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Emblema One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Emilys Candy","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Encode Sans","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Encode Sans Condensed","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Encode Sans Expanded","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Encode Sans SC","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Encode Sans Semi Condensed","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Encode Sans Semi Expanded","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Engagement","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Englebert","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Enriqueta","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Ephesis","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Epilogue","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Erica One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Esteban","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Estonia","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Euphoria Script","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Ewert","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Exo","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Exo 2","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Expletus Sans","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Explora","variants":{"400":"Normal"},"subsets":{"cherokee":null,"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Fahkwang","variants":{"200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Familjen Grotesk","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Fanwood Text","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin"}},{"family":"Farro","variants":{"300":"Light","400":"Normal","500":"Medium","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Farsan","variants":{"400":"Normal"},"subsets":{"gujarati":"Gujarati","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Fascinate","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Fascinate Inline","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Faster One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Fasthand","variants":{"400":"Normal"},"subsets":{"khmer":"Khmer","latin":"Latin"}},{"family":"Fauna One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Faustina","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Federant","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Federo","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Felipa","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Fenix","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Festive","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Figtree","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Finger Paint","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Finlandica","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Fira Code","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Fira Mono","variants":{"400":"Normal","500":"Medium","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Fira Sans","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Fira Sans Condensed","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Fira Sans Extra Condensed","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Fjalla One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Fjord One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Flamenco","variants":{"300":"Light","400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Flavors","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Fleur De Leah","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Flow Block","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Flow Circular","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Flow Rounded","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Fondamento","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Fontdiner Swanky","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Forum","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Francois One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Frank Ruhl Libre","variants":{"300":"Light","400":"Normal","500":"Medium","700":"Bold","900":"Ultra Bold"},"subsets":{"hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Fraunces","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Freckle Face","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Fredericka the Great","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Fredoka","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Fredoka One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Freehand","variants":{"400":"Normal"},"subsets":{"khmer":"Khmer","latin":"Latin"}},{"family":"Fresca","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Frijole","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Fruktur","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Fugaz One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Fuggles","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Fuzzy Bubbles","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"GFS Didot","variants":{"400":"Normal"},"subsets":{"greek":"Greek"}},{"family":"GFS Neohellenic","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"greek":"Greek"}},{"family":"Gabriela","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin"}},{"family":"Gaegu","variants":{"300":"Light","400":"Normal","700":"Bold"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Gafata","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Galada","variants":{"400":"Normal"},"subsets":{"bengali":"Bengali","latin":"Latin"}},{"family":"Galdeano","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Galindo","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Gamja Flower","variants":{"400":"Normal"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Gantari","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Gayathri","variants":{"100":"Thin","400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","malayalam":"Malayalam"}},{"family":"Gelasio","variants":{"400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Gemunu Libre","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","sinhala":"Sinhala"}},{"family":"Genos","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cherokee":null,"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Gentium Book Basic","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Gentium Book Plus","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Gentium Plus","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Geo","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin"}},{"family":"Georama","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Geostar","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Geostar Fill","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Germania One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Gideon Roman","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Gidugu","variants":{"400":"Normal"},"subsets":{"latin":"Latin","telugu":"Telugu"}},{"family":"Gilda Display","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Girassol","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Give You Glory","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Glass Antiqua","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Glegoo","variants":{"400":"Normal","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Gloria Hallelujah","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Glory","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Gluten","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Goblin One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Gochi Hand","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Goldman","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Gorditas","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"Gothic A1","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Gotu","variants":{"400":"Normal"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Goudy Bookletter 1911","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Gowun Batang","variants":{"400":"Normal","700":"Bold"},"subsets":{"korean":null,"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Gowun Dodum","variants":{"400":"Normal"},"subsets":{"korean":null,"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Graduate","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Grand Hotel","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Grandstander","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Grape Nuts","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Gravitas One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Great Vibes","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Grechen Fuemen","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Grenze","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Grenze Gotisch","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Grey Qo","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Griffy","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Gruppo","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Gudea","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Gugi","variants":{"400":"Normal"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Gulzar","variants":{"400":"Normal"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Gupter","variants":{"400":"Normal","500":"Medium","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"Gurajada","variants":{"400":"Normal"},"subsets":{"latin":"Latin","telugu":"Telugu"}},{"family":"Gwendolyn","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Habibi","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Hachi Maru Pop","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Hahmlet","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"korean":null,"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Halant","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Hammersmith One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Hanalei","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Hanalei Fill","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Handlee","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Hanuman","variants":{"100":"Thin","300":"Light","400":"Normal","700":"Bold","900":"Ultra Bold"},"subsets":{"khmer":"Khmer","latin":"Latin"}},{"family":"Happy Monkey","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Harmattan","variants":{"400":"Normal","700":"Bold"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Headland One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Heebo","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"hebrew":"Hebrew","latin":"Latin"}},{"family":"Henny Penny","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Hepta Slab","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Herr Von Muellerhoff","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Hi Melody","variants":{"400":"Normal"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Hina Mincho","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Hind","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Hind Guntur","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","telugu":"Telugu"}},{"family":"Hind Madurai","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","tamil":"Tamil"}},{"family":"Hind Siliguri","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"bengali":"Bengali","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Hind Vadodara","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"gujarati":"Gujarati","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Holtwood One SC","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Homemade Apple","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Homenaje","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Hubballi","variants":{"400":"Normal"},"subsets":{"kannada":"Kannada","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Hurricane","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"IBM Plex Mono","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"IBM Plex Sans","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"IBM Plex Sans Arabic","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"arabic":"Arabic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"IBM Plex Sans Condensed","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"IBM Plex Sans Devanagari","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"cyrillic-ext":"Cyrillic Extended","devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"IBM Plex Sans Hebrew","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"cyrillic-ext":"Cyrillic Extended","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"IBM Plex Sans KR","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"korean":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"IBM Plex Sans Thai","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","thai":"Thai"}},{"family":"IBM Plex Sans Thai Looped","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","thai":"Thai"}},{"family":"IBM Plex Serif","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"IM Fell DW Pica","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin"}},{"family":"IM Fell DW Pica SC","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"IM Fell Double Pica","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin"}},{"family":"IM Fell Double Pica SC","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"IM Fell English","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin"}},{"family":"IM Fell English SC","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"IM Fell French Canon","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin"}},{"family":"IM Fell French Canon SC","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"IM Fell Great Primer","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin"}},{"family":"IM Fell Great Primer SC","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Ibarra Real Nova","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Iceberg","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Iceland","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Imbue","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Imperial Script","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Imprima","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Inconsolata","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Inder","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Indie Flower","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Ingrid Darling","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Inika","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Inknut Antiqua","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Inria Sans","variants":{"300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Inria Serif","variants":{"300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Inspiration","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Inter","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Inter Tight","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Irish Grover","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Island Moments","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Istok Web","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Italiana","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Italianno","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Itim","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Jacques Francois","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Jacques Francois Shadow","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Jaldi","variants":{"400":"Normal","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"JetBrains Mono","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Jim Nightshade","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Joan","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Jockey One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Jolly Lodger","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Jomhuria","variants":{"400":"Normal"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Jomolhari","variants":{"400":"Normal"},"subsets":{"latin":"Latin","tibetan":null}},{"family":"Josefin Sans","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Josefin Slab","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"latin":"Latin"}},{"family":"Jost","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Joti One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Jua","variants":{"400":"Normal"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Judson","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Julee","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Julius Sans One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Junge","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Jura","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","kayah-li":null,"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Just Another Hand","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Just Me Again Down Here","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"K2D","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Kadwa","variants":{"400":"Normal","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin"}},{"family":"Kaisei Decol","variants":{"400":"Normal","500":"Medium","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Kaisei HarunoUmi","variants":{"400":"Normal","500":"Medium","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Kaisei Opti","variants":{"400":"Normal","500":"Medium","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Kaisei Tokumin","variants":{"400":"Normal","500":"Medium","700":"Bold","800":"Extra Bold"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Kalam","variants":{"300":"Light","400":"Normal","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Kameron","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"Kanit","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Kantumruy","variants":{"300":"Light","400":"Normal","700":"Bold"},"subsets":{"khmer":"Khmer"}},{"family":"Kantumruy Pro","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"khmer":"Khmer","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Karantina","variants":{"300":"Light","400":"Normal","700":"Bold"},"subsets":{"hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Karla","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Karma","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Katibeh","variants":{"400":"Normal"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Kaushan Script","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Kavivanar","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","tamil":"Tamil"}},{"family":"Kavoon","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Kdam Thmor Pro","variants":{"400":"Normal"},"subsets":{"khmer":"Khmer","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Keania One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Kelly Slab","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Kenia","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Khand","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Khmer","variants":{"400":"Normal"},"subsets":{"khmer":"Khmer"}},{"family":"Khula","variants":{"300":"Light","400":"Normal","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Kings","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Kirang Haerang","variants":{"400":"Normal"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Kite One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Kiwi Maru","variants":{"300":"Light","400":"Normal","500":"Medium"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Klee One","variants":{"400":"Normal","600":"Semi Bold"},"subsets":{"cyrillic":"Cyrillic","greek-ext":"Greek Extended","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Knewave","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"KoHo","variants":{"200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Kodchasan","variants":{"200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Koh Santepheap","variants":{"100":"Thin","300":"Light","400":"Normal","700":"Bold","900":"Ultra Bold"},"subsets":{"khmer":"Khmer","latin":"Latin"}},{"family":"Kolker Brush","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Kosugi","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Kosugi Maru","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Kotta One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Koulen","variants":{"400":"Normal"},"subsets":{"khmer":"Khmer","latin":"Latin"}},{"family":"Kranky","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Kreon","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Kristi","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Krona One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Krub","variants":{"200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Kufam","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Kulim Park","variants":{"200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Kumar One","variants":{"400":"Normal"},"subsets":{"gujarati":"Gujarati","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Kumar One Outline","variants":{"400":"Normal"},"subsets":{"gujarati":"Gujarati","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Kumbh Sans","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Kurale","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"La Belle Aurore","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Lacquer","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Laila","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Lakki Reddy","variants":{"400":"Normal"},"subsets":{"latin":"Latin","telugu":"Telugu"}},{"family":"Lalezar","variants":{"400":"Normal"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Lancelot","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Langar","variants":{"400":"Normal"},"subsets":{"gurmukhi":"Gurmukhi","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Lateef","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Lato","variants":{"100":"Thin","100italic":"Thin Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Lavishly Yours","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"League Gothic","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"League Script","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"League Spartan","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Leckerli One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Ledger","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Lekton","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Lemon","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Lemonada","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Lexend","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Lexend Deca","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Lexend Exa","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Lexend Giga","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Lexend Mega","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Lexend Peta","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Lexend Tera","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Lexend Zetta","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Libre Barcode 128","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Libre Barcode 128 Text","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Libre Barcode 39","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Libre Barcode 39 Extended","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Libre Barcode 39 Extended Text","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Libre Barcode 39 Text","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Libre Barcode EAN13 Text","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Libre Baskerville","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Libre Bodoni","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Libre Caslon Display","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Libre Caslon Text","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Libre Franklin","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Licorice","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Life Savers","variants":{"400":"Normal","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Lilita One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Lily Script One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Limelight","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Linden Hill","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin"}},{"family":"Literata","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Liu Jian Mao Cao","variants":{"400":"Normal"},"subsets":{"chinese-simplified":null,"latin":"Latin"}},{"family":"Livvic","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Lobster","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Lobster Two","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin"}},{"family":"Londrina Outline","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Londrina Shadow","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Londrina Sketch","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Londrina Solid","variants":{"100":"Thin","300":"Light","400":"Normal","900":"Ultra Bold"},"subsets":{"latin":"Latin"}},{"family":"Long Cang","variants":{"400":"Normal"},"subsets":{"chinese-simplified":null,"latin":"Latin"}},{"family":"Lora","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Love Light","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Love Ya Like A Sister","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Loved by the King","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Lovers Quarrel","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Luckiest Guy","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Lusitana","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"Lustria","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Luxurious Roman","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Luxurious Script","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"M PLUS 1","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"japanese":null,"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"M PLUS 1 Code","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"japanese":null,"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"M PLUS 1p","variants":{"100":"Thin","300":"Light","400":"Normal","500":"Medium","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","hebrew":"Hebrew","japanese":null,"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"M PLUS 2","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"japanese":null,"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"M PLUS Code Latin","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"M PLUS Rounded 1c","variants":{"100":"Thin","300":"Light","400":"Normal","500":"Medium","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","hebrew":"Hebrew","japanese":null,"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Ma Shan Zheng","variants":{"400":"Normal"},"subsets":{"chinese-simplified":null,"latin":"Latin"}},{"family":"Macondo","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Macondo Swash Caps","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Mada","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","900":"Ultra Bold"},"subsets":{"arabic":"Arabic","latin":"Latin"}},{"family":"Magra","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Maiden Orange","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Maitree","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Major Mono Display","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Mako","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Mali","variants":{"200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Mallanna","variants":{"400":"Normal"},"subsets":{"latin":"Latin","telugu":"Telugu"}},{"family":"Mandali","variants":{"400":"Normal"},"subsets":{"latin":"Latin","telugu":"Telugu"}},{"family":"Manjari","variants":{"100":"Thin","400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","malayalam":"Malayalam"}},{"family":"Manrope","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Mansalva","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Manuale","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Marcellus","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Marcellus SC","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Marck Script","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Margarine","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Markazi Text","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Marko One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Marmelad","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Martel","variants":{"200":"Extra Light","300":"Light","400":"Normal","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Martel Sans","variants":{"200":"Extra Light","300":"Light","400":"Normal","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Marvel","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin"}},{"family":"Mate","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin"}},{"family":"Mate SC","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Maven Pro","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"McLaren","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Mea Culpa","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Meddon","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"MedievalSharp","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Medula One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Meera Inimai","variants":{"400":"Normal"},"subsets":{"latin":"Latin","tamil":"Tamil"}},{"family":"Megrim","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Meie Script","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Meow Script","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Merienda","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Merienda One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Merriweather","variants":{"300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Merriweather Sans","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic"},"subsets":{"cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Metal","variants":{"400":"Normal"},"subsets":{"khmer":"Khmer","latin":"Latin"}},{"family":"Metal Mania","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Metamorphous","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Metrophobic","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Michroma","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Milonga","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Miltonian","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Miltonian Tattoo","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Mina","variants":{"400":"Normal","700":"Bold"},"subsets":{"bengali":"Bengali","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Mingzat","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","lepcha":null}},{"family":"Miniver","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Miriam Libre","variants":{"400":"Normal","700":"Bold"},"subsets":{"hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Mirza","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Miss Fajardose","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Mitr","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Mochiy Pop One","variants":{"400":"Normal"},"subsets":{"japanese":null,"latin":"Latin"}},{"family":"Mochiy Pop P One","variants":{"400":"Normal"},"subsets":{"japanese":null,"latin":"Latin"}},{"family":"Modak","variants":{"400":"Normal"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Modern Antiqua","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Mogra","variants":{"400":"Normal"},"subsets":{"gujarati":"Gujarati","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Mohave","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Molengo","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Molle","variants":{"400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Monda","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Monofett","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Monoton","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Monsieur La Doulaise","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Montaga","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Montagu Slab","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"MonteCarlo","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Montez","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Montserrat","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Montserrat Alternates","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Montserrat Subrayada","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"Moo Lah Lah","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Moon Dance","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Moul","variants":{"400":"Normal"},"subsets":{"khmer":"Khmer","latin":"Latin"}},{"family":"Moulpali","variants":{"400":"Normal"},"subsets":{"khmer":"Khmer","latin":"Latin"}},{"family":"Mountains of Christmas","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"Mouse Memoirs","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Mr Bedfort","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Mr Dafoe","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Mr De Haviland","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Mrs Saint Delafield","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Mrs Sheppards","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Ms Madi","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Mukta","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Mukta Mahee","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"gurmukhi":"Gurmukhi","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Mukta Malar","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","tamil":"Tamil"}},{"family":"Mukta Vaani","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"gujarati":"Gujarati","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Mulish","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Murecho","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"MuseoModerno","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"My Soul","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Mystery Quest","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"NTR","variants":{"400":"Normal"},"subsets":{"latin":"Latin","telugu":"Telugu"}},{"family":"Nabla","variants":{"400":"Normal"},"subsets":{"cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","math":null,"vietnamese":"Vietnamese"}},{"family":"Nanum Brush Script","variants":{"400":"Normal"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Nanum Gothic","variants":{"400":"Normal","700":"Bold","800":"Extra Bold"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Nanum Gothic Coding","variants":{"400":"Normal","700":"Bold"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Nanum Myeongjo","variants":{"400":"Normal","700":"Bold","800":"Extra Bold"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Nanum Pen Script","variants":{"400":"Normal"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Neonderthaw","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Nerko One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Neucha","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin"}},{"family":"Neuton","variants":{"200":"Extra Light","300":"Light","400":"Normal","400italic":"Normal Italic","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"New Rocker","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"New Tegomin","variants":{"400":"Normal"},"subsets":{"japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"News Cycle","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Newsreader","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Niconne","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Niramit","variants":{"200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Nixie One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Nobile","variants":{"400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Nokora","variants":{"100":"Thin","300":"Light","400":"Normal","700":"Bold","900":"Ultra Bold"},"subsets":{"khmer":"Khmer","latin":"Latin"}},{"family":"Norican","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Nosifer","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Notable","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Nothing You Could Do","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Noticia Text","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Noto Color Emoji","variants":{"400":"Normal"},"subsets":{"emoji":null}},{"family":"Noto Emoji","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"emoji":null}},{"family":"Noto Kufi Arabic","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"arabic":"Arabic"}},{"family":"Noto Music","variants":{"400":"Normal"},"subsets":{"music":null}},{"family":"Noto Naskh Arabic","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"arabic":"Arabic"}},{"family":"Noto Nastaliq Urdu","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Rashi Hebrew","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","devanagari":"Devanagari","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Noto Sans Adlam","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"adlam":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Adlam Unjoined","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"adlam":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Anatolian Hieroglyphs","variants":{"400":"Normal"},"subsets":{"anatolian-hieroglyphs":null}},{"family":"Noto Sans Arabic","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"arabic":"Arabic"}},{"family":"Noto Sans Armenian","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"armenian":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Avestan","variants":{"400":"Normal"},"subsets":{"avestan":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Balinese","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"balinese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Bamum","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"bamum":null}},{"family":"Noto Sans Bassa Vah","variants":{"400":"Normal"},"subsets":{"bassa-vah":null}},{"family":"Noto Sans Batak","variants":{"400":"Normal"},"subsets":{"batak":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Bengali","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"bengali":"Bengali","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Bhaiksuki","variants":{"400":"Normal"},"subsets":{"bhaiksuki":null}},{"family":"Noto Sans Brahmi","variants":{"400":"Normal"},"subsets":{"brahmi":null}},{"family":"Noto Sans Buginese","variants":{"400":"Normal"},"subsets":{"buginese":null}},{"family":"Noto Sans Buhid","variants":{"400":"Normal"},"subsets":{"buhid":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Canadian Aboriginal","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"canadian-aboriginal":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Carian","variants":{"400":"Normal"},"subsets":{"carian":null}},{"family":"Noto Sans Caucasian Albanian","variants":{"400":"Normal"},"subsets":{"caucasian-albanian":null}},{"family":"Noto Sans Chakma","variants":{"400":"Normal"},"subsets":{"chakma":null}},{"family":"Noto Sans Cham","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"cham":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Cherokee","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"cherokee":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Coptic","variants":{"400":"Normal"},"subsets":{"coptic":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Cuneiform","variants":{"400":"Normal"},"subsets":{"cuneiform":null}},{"family":"Noto Sans Cypriot","variants":{"400":"Normal"},"subsets":{"cypriot":null}},{"family":"Noto Sans Deseret","variants":{"400":"Normal"},"subsets":{"deseret":null}},{"family":"Noto Sans Devanagari","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Display","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Noto Sans Duployan","variants":{"400":"Normal"},"subsets":{"duployan":null}},{"family":"Noto Sans Egyptian Hieroglyphs","variants":{"400":"Normal"},"subsets":{"egyptian-hieroglyphs":null}},{"family":"Noto Sans Elbasan","variants":{"400":"Normal"},"subsets":{"elbasan":null}},{"family":"Noto Sans Elymaic","variants":{"400":"Normal"},"subsets":{"elymaic":null}},{"family":"Noto Sans Ethiopic","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"ethiopic":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Georgian","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"georgian":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Glagolitic","variants":{"400":"Normal"},"subsets":{"glagolitic":null}},{"family":"Noto Sans Gothic","variants":{"400":"Normal"},"subsets":{"gothic":null}},{"family":"Noto Sans Grantha","variants":{"400":"Normal"},"subsets":{"grantha":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Gujarati","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"gujarati":"Gujarati","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Gunjala Gondi","variants":{"400":"Normal"},"subsets":{"gunjala-gondi":null}},{"family":"Noto Sans Gurmukhi","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"gurmukhi":"Gurmukhi","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans HK","variants":{"100":"Thin","300":"Light","400":"Normal","500":"Medium","700":"Bold","900":"Ultra Bold"},"subsets":{"chinese-hongkong":null,"latin":"Latin"}},{"family":"Noto Sans Hanifi Rohingya","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"hanifi-rohingya":null}},{"family":"Noto Sans Hanunoo","variants":{"400":"Normal"},"subsets":{"hanunoo":null}},{"family":"Noto Sans Hatran","variants":{"400":"Normal"},"subsets":{"hatran":null}},{"family":"Noto Sans Hebrew","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Imperial Aramaic","variants":{"400":"Normal"},"subsets":{"imperial-aramaic":null}},{"family":"Noto Sans Indic Siyaq Numbers","variants":{"400":"Normal"},"subsets":{"indic-siyaq-numbers":null}},{"family":"Noto Sans Inscriptional Pahlavi","variants":{"400":"Normal"},"subsets":{"inscriptional-pahlavi":null}},{"family":"Noto Sans Inscriptional Parthian","variants":{"400":"Normal"},"subsets":{"inscriptional-parthian":null}},{"family":"Noto Sans JP","variants":{"100":"Thin","300":"Light","400":"Normal","500":"Medium","700":"Bold","900":"Ultra Bold"},"subsets":{"japanese":null,"latin":"Latin"}},{"family":"Noto Sans Javanese","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"javanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans KR","variants":{"100":"Thin","300":"Light","400":"Normal","500":"Medium","700":"Bold","900":"Ultra Bold"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Noto Sans Kaithi","variants":{"400":"Normal"},"subsets":{"kaithi":null}},{"family":"Noto Sans Kannada","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"kannada":"Kannada","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Kayah Li","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"kayah-li":null}},{"family":"Noto Sans Kharoshthi","variants":{"400":"Normal"},"subsets":{"kharoshthi":null}},{"family":"Noto Sans Khmer","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"khmer":"Khmer","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Khojki","variants":{"400":"Normal"},"subsets":{"khojki":null}},{"family":"Noto Sans Khudawadi","variants":{"400":"Normal"},"subsets":{"khudawadi":null}},{"family":"Noto Sans Lao","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"lao":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Sans Lepcha","variants":{"400":"Normal"},"subsets":{"lepcha":null}},{"family":"Noto Sans Limbu","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","limbu":null}},{"family":"Noto Sans Linear A","variants":{"400":"Normal"},"subsets":{"linear-a":null}},{"family":"Noto Sans Linear B","variants":{"400":"Normal"},"subsets":{"linear-b":null}},{"family":"Noto Sans Lisu","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","lisu":null}},{"family":"Noto Sans Lycian","variants":{"400":"Normal"},"subsets":{"lycian":null}},{"family":"Noto Sans Lydian","variants":{"400":"Normal"},"subsets":{"lydian":null}},{"family":"Noto Sans Mahajani","variants":{"400":"Normal"},"subsets":{"mahajani":null}},{"family":"Noto Sans Malayalam","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","malayalam":"Malayalam"}},{"family":"Noto Sans Mandaic","variants":{"400":"Normal"},"subsets":{"mandaic":null}},{"family":"Noto Sans Manichaean","variants":{"400":"Normal"},"subsets":{"manichaean":null}},{"family":"Noto Sans Marchen","variants":{"400":"Normal"},"subsets":{"marchen":null}},{"family":"Noto Sans Masaram Gondi","variants":{"400":"Normal"},"subsets":{"masaram-gondi":null}},{"family":"Noto Sans Math","variants":{"400":"Normal"},"subsets":{"math":null}},{"family":"Noto Sans Mayan Numerals","variants":{"400":"Normal"},"subsets":{"mayan-numerals":null}},{"family":"Noto Sans Medefaidrin","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"medefaidrin":null}},{"family":"Noto Sans Meetei Mayek","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","meetei-mayek":null}},{"family":"Noto Sans Meroitic","variants":{"400":"Normal"},"subsets":{"meroitic":null}},{"family":"Noto Sans Miao","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","miao":null}},{"family":"Noto Sans Modi","variants":{"400":"Normal"},"subsets":{"modi":null}},{"family":"Noto Sans Mongolian","variants":{"400":"Normal"},"subsets":{"mongolian":null}},{"family":"Noto Sans Mono","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Noto Sans Mro","variants":{"400":"Normal"},"subsets":{"mro":null}},{"family":"Noto Sans Multani","variants":{"400":"Normal"},"subsets":{"multani":null}},{"family":"Noto Sans Myanmar","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"myanmar":"Myanmar"}},{"family":"Noto Sans N Ko","variants":{"400":"Normal"},"subsets":{"nko":null}},{"family":"Noto Sans Nabataean","variants":{"400":"Normal"},"subsets":{"nabataean":null}},{"family":"Noto Sans New Tai Lue","variants":{"400":"Normal"},"subsets":{"new-tai-lue":null}},{"family":"Noto Sans Newa","variants":{"400":"Normal"},"subsets":{"newa":null}},{"family":"Noto Sans Nushu","variants":{"400":"Normal"},"subsets":{"nushu":null}},{"family":"Noto Sans Ogham","variants":{"400":"Normal"},"subsets":{"ogham":null}},{"family":"Noto Sans Ol Chiki","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"ol-chiki":null}},{"family":"Noto Sans Old Hungarian","variants":{"400":"Normal"},"subsets":{"old-hungarian":null}},{"family":"Noto Sans Old Italic","variants":{"400":"Normal"},"subsets":{"old-italic":null}},{"family":"Noto Sans Old North Arabian","variants":{"400":"Normal"},"subsets":{"old-north-arabian":null}},{"family":"Noto Sans Old Permic","variants":{"400":"Normal"},"subsets":{"old-permic":null}},{"family":"Noto Sans Old Persian","variants":{"400":"Normal"},"subsets":{"old-persian":null}},{"family":"Noto Sans Old Sogdian","variants":{"400":"Normal"},"subsets":{"old-sogdian":null}},{"family":"Noto Sans Old South Arabian","variants":{"400":"Normal"},"subsets":{"old-south-arabian":null}},{"family":"Noto Sans Old Turkic","variants":{"400":"Normal"},"subsets":{"old-turkic":null}},{"family":"Noto Sans Oriya","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","oriya":"Oriya"}},{"family":"Noto Sans Osage","variants":{"400":"Normal"},"subsets":{"osage":null}},{"family":"Noto Sans Osmanya","variants":{"400":"Normal"},"subsets":{"osmanya":null}},{"family":"Noto Sans Pahawh Hmong","variants":{"400":"Normal"},"subsets":{"pahawh-hmong":null}},{"family":"Noto Sans Palmyrene","variants":{"400":"Normal"},"subsets":{"palmyrene":null}},{"family":"Noto Sans Pau Cin Hau","variants":{"400":"Normal"},"subsets":{"pau-cin-hau":null}},{"family":"Noto Sans Phags Pa","variants":{"400":"Normal"},"subsets":{"phags-pa":null}},{"family":"Noto Sans Phoenician","variants":{"400":"Normal"},"subsets":{"phoenician":null}},{"family":"Noto Sans Psalter Pahlavi","variants":{"400":"Normal"},"subsets":{"psalter-pahlavi":null}},{"family":"Noto Sans Rejang","variants":{"400":"Normal"},"subsets":{"rejang":null}},{"family":"Noto Sans Runic","variants":{"400":"Normal"},"subsets":{"runic":null}},{"family":"Noto Sans SC","variants":{"100":"Thin","300":"Light","400":"Normal","500":"Medium","700":"Bold","900":"Ultra Bold"},"subsets":{"chinese-simplified":null,"latin":"Latin"}},{"family":"Noto Sans Samaritan","variants":{"400":"Normal"},"subsets":{"samaritan":null}},{"family":"Noto Sans Saurashtra","variants":{"400":"Normal"},"subsets":{"saurashtra":null}},{"family":"Noto Sans Sharada","variants":{"400":"Normal"},"subsets":{"sharada":null}},{"family":"Noto Sans Shavian","variants":{"400":"Normal"},"subsets":{"shavian":null}},{"family":"Noto Sans Siddham","variants":{"400":"Normal"},"subsets":{"siddham":null}},{"family":"Noto Sans Sinhala","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","sinhala":"Sinhala"}},{"family":"Noto Sans Sogdian","variants":{"400":"Normal"},"subsets":{"sogdian":null}},{"family":"Noto Sans Sora Sompeng","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"sora-sompeng":null}},{"family":"Noto Sans Soyombo","variants":{"400":"Normal"},"subsets":{"soyombo":null}},{"family":"Noto Sans Sundanese","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"sundanese":null}},{"family":"Noto Sans Syloti Nagri","variants":{"400":"Normal"},"subsets":{"syloti-nagri":null}},{"family":"Noto Sans Symbols","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","symbols":null}},{"family":"Noto Sans Symbols 2","variants":{"400":"Normal"},"subsets":{"symbols":null}},{"family":"Noto Sans Syriac","variants":{"100":"Thin","400":"Normal","900":"Ultra Bold"},"subsets":{"syriac":null}},{"family":"Noto Sans TC","variants":{"100":"Thin","300":"Light","400":"Normal","500":"Medium","700":"Bold","900":"Ultra Bold"},"subsets":{"chinese-traditional":null,"latin":"Latin"}},{"family":"Noto Sans Tagalog","variants":{"400":"Normal"},"subsets":{"tagalog":null}},{"family":"Noto Sans Tagbanwa","variants":{"400":"Normal"},"subsets":{"tagbanwa":null}},{"family":"Noto Sans Tai Le","variants":{"400":"Normal"},"subsets":{"tai-le":null}},{"family":"Noto Sans Tai Tham","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"tai-tham":null}},{"family":"Noto Sans Tai Viet","variants":{"400":"Normal"},"subsets":{"tai-viet":null}},{"family":"Noto Sans Takri","variants":{"400":"Normal"},"subsets":{"takri":null}},{"family":"Noto Sans Tamil","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","tamil":"Tamil"}},{"family":"Noto Sans Tamil Supplement","variants":{"400":"Normal"},"subsets":{"tamil-supplement":null}},{"family":"Noto Sans Telugu","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","telugu":"Telugu"}},{"family":"Noto Sans Thaana","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"thaana":null}},{"family":"Noto Sans Thai","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai"}},{"family":"Noto Sans Thai Looped","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"thai":"Thai"}},{"family":"Noto Sans Tifinagh","variants":{"400":"Normal"},"subsets":{"tifinagh":null}},{"family":"Noto Sans Tirhuta","variants":{"400":"Normal"},"subsets":{"tirhuta":null}},{"family":"Noto Sans Ugaritic","variants":{"400":"Normal"},"subsets":{"ugaritic":null}},{"family":"Noto Sans Vai","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vai":null}},{"family":"Noto Sans Wancho","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","wancho":null}},{"family":"Noto Sans Warang Citi","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","warang-citi":null}},{"family":"Noto Sans Yi","variants":{"400":"Normal"},"subsets":{"yi":null}},{"family":"Noto Sans Zanabazar Square","variants":{"400":"Normal"},"subsets":{"zanabazar-square":null}},{"family":"Noto Serif","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Noto Serif Ahom","variants":{"400":"Normal"},"subsets":{"ahom":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Serif Armenian","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"armenian":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Serif Balinese","variants":{"400":"Normal"},"subsets":{"balinese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Serif Bengali","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"bengali":"Bengali","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Serif Devanagari","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Serif Display","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Noto Serif Dogra","variants":{"400":"Normal"},"subsets":{"dogra":null}},{"family":"Noto Serif Ethiopic","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"ethiopic":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Serif Georgian","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"georgian":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Serif Grantha","variants":{"400":"Normal"},"subsets":{"grantha":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Serif Gujarati","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"gujarati":"Gujarati","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Serif Gurmukhi","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"gurmukhi":"Gurmukhi","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Serif HK","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"chinese-hongkong":null,"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Noto Serif Hebrew","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Serif JP","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","900":"Ultra Bold"},"subsets":{"japanese":null,"latin":"Latin"}},{"family":"Noto Serif KR","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","900":"Ultra Bold"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Noto Serif Kannada","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"kannada":"Kannada","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Serif Khmer","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"khmer":"Khmer","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Serif Lao","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"lao":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Noto Serif Malayalam","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","malayalam":"Malayalam"}},{"family":"Noto Serif Myanmar","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"myanmar":"Myanmar"}},{"family":"Noto Serif Nyiakeng Puachue Hmong","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"nyiakeng-puachue-hmong":null}},{"family":"Noto Serif SC","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","900":"Ultra Bold"},"subsets":{"chinese-simplified":null,"latin":"Latin"}},{"family":"Noto Serif Sinhala","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","sinhala":"Sinhala"}},{"family":"Noto Serif TC","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","900":"Ultra Bold"},"subsets":{"chinese-traditional":null,"latin":"Latin"}},{"family":"Noto Serif Tamil","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","tamil":"Tamil"}},{"family":"Noto Serif Tangut","variants":{"400":"Normal"},"subsets":{"tangut":null}},{"family":"Noto Serif Telugu","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","telugu":"Telugu"}},{"family":"Noto Serif Thai","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai"}},{"family":"Noto Serif Tibetan","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"tibetan":null}},{"family":"Noto Serif Yezidi","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"yezidi":null}},{"family":"Noto Traditional Nushu","variants":{"400":"Normal"},"subsets":{"nushu":null}},{"family":"Nova Cut","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Nova Flat","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Nova Mono","variants":{"400":"Normal"},"subsets":{"greek":"Greek","latin":"Latin"}},{"family":"Nova Oval","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Nova Round","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Nova Script","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Nova Slim","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Nova Square","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Numans","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Nunito","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Nunito Sans","variants":{"200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Nuosu SIL","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","yi":null}},{"family":"Odibee Sans","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Odor Mean Chey","variants":{"400":"Normal"},"subsets":{"khmer":"Khmer","latin":"Latin"}},{"family":"Offside","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Oi","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","latin":"Latin","latin-ext":"Latin Extended","tamil":"Tamil","vietnamese":"Vietnamese"}},{"family":"Old Standard TT","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Oldenburg","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Ole","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Oleo Script","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Oleo Script Swash Caps","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Oooh Baby","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Open Sans","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Oranienbaum","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Orbitron","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin"}},{"family":"Oregano","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Orelega One","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Orienta","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Original Surfer","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Oswald","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Outfit","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin"}},{"family":"Over the Rainbow","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Overlock","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Overlock SC","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Overpass","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Overpass Mono","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Ovo","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Oxanium","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Oxygen","variants":{"300":"Light","400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Oxygen Mono","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"PT Mono","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"PT Sans","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"PT Sans Caption","variants":{"400":"Normal","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"PT Sans Narrow","variants":{"400":"Normal","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"PT Serif","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"PT Serif Caption","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Pacifico","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Padauk","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","myanmar":"Myanmar"}},{"family":"Palanquin","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Palanquin Dark","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Pangolin","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Paprika","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Parisienne","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Passero One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Passion One","variants":{"400":"Normal","700":"Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Passions Conflict","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Pathway Gothic One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Patrick Hand","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Patrick Hand SC","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Pattaya","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Patua One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Pavanam","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","tamil":"Tamil"}},{"family":"Paytone One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Peddana","variants":{"400":"Normal"},"subsets":{"latin":"Latin","telugu":"Telugu"}},{"family":"Peralta","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Permanent Marker","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Petemoss","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Petit Formal Script","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Petrona","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Philosopher","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","vietnamese":"Vietnamese"}},{"family":"Piazzolla","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Piedra","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Pinyon Script","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Pirata One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Plaster","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Play","variants":{"400":"Normal","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Playball","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Playfair Display","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Playfair Display SC","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Plus Jakarta Sans","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic"},"subsets":{"cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Podkova","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Poiret One","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Poller One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Poly","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin"}},{"family":"Pompiere","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Pontano Sans","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Poor Story","variants":{"400":"Normal"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Poppins","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Port Lligat Sans","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Port Lligat Slab","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Potta One","variants":{"400":"Normal"},"subsets":{"japanese":null,"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Pragati Narrow","variants":{"400":"Normal","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Praise","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Prata","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","vietnamese":"Vietnamese"}},{"family":"Preahvihear","variants":{"400":"Normal"},"subsets":{"khmer":"Khmer","latin":"Latin"}},{"family":"Press Start 2P","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Pridi","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Princess Sofia","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Prociono","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Prompt","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Prosto One","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Proza Libre","variants":{"400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Public Sans","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Puppies Play","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Puritan","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin"}},{"family":"Purple Purse","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Qahiri","variants":{"400":"Normal"},"subsets":{"arabic":"Arabic","latin":"Latin"}},{"family":"Quando","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Quantico","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin"}},{"family":"Quattrocento","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Quattrocento Sans","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Questrial","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Quicksand","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Quintessential","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Qwigley","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Qwitcher Grypen","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Racing Sans One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Radio Canada","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Radley","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rajdhani","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rakkas","variants":{"400":"Normal"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Raleway","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Raleway Dots","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Ramabhadra","variants":{"400":"Normal"},"subsets":{"latin":"Latin","telugu":"Telugu"}},{"family":"Ramaraja","variants":{"400":"Normal"},"subsets":{"latin":"Latin","telugu":"Telugu"}},{"family":"Rambla","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rammetto One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rampart One","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Ranchers","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rancho","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Ranga","variants":{"400":"Normal","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rasa","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"gujarati":"Gujarati","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Rationale","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Ravi Prakash","variants":{"400":"Normal"},"subsets":{"latin":"Latin","telugu":"Telugu"}},{"family":"Readex Pro","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Recursive","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Red Hat Display","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Red Hat Mono","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Red Hat Text","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Red Rose","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Redacted","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Redacted Script","variants":{"300":"Light","400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Redressed","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Reem Kufi","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"arabic":"Arabic","latin":"Latin"}},{"family":"Reem Kufi Fun","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Reem Kufi Ink","variants":{"400":"Normal"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Reenie Beanie","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Reggae One","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Revalia","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rhodium Libre","variants":{"400":"Normal"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Ribeye","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Ribeye Marrow","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Righteous","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Risque","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Road Rage","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Roboto","variants":{"100":"Thin","100italic":"Thin Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","700":"Bold","700italic":"Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Roboto Condensed","variants":{"300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Roboto Flex","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Roboto Mono","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Roboto Serif","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Roboto Slab","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Rochester","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Rock Salt","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"RocknRoll One","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rokkitt","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Romanesco","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Ropa Sans","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rosario","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Rosarivo","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rouge Script","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Rowdies","variants":{"300":"Light","400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Rozha One","variants":{"400":"Normal"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rubik","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rubik Beastly","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rubik Bubbles","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rubik Burned","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rubik Dirt","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rubik Distressed","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rubik Glitch","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rubik Iso","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rubik Marker Hatch","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rubik Maze","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rubik Microbe","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rubik Mono One","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rubik Moonrocks","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rubik Puddles","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rubik Wet Paint","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Ruda","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Rufina","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Ruge Boogie","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Ruluko","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Rum Raisin","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Ruslan Display","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Russo One","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Ruthie","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Rye","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"STIX Two Text","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Sacramento","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Sahitya","variants":{"400":"Normal","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin"}},{"family":"Sail","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Saira","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Saira Condensed","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Saira Extra Condensed","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Saira Semi Condensed","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Saira Stencil One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Salsa","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Sanchez","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Sancreek","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Sansita","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Sansita Swashed","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Sarabun","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Sarala","variants":{"400":"Normal","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Sarina","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Sarpanch","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Sassy Frass","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Satisfy","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Sawarabi Gothic","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Sawarabi Mincho","variants":{"400":"Normal"},"subsets":{"japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Scada","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Scheherazade New","variants":{"400":"Normal","700":"Bold"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Schoolbell","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Scope One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Seaweed Script","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Secular One","variants":{"400":"Normal"},"subsets":{"hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Sedgwick Ave","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Sedgwick Ave Display","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Sen","variants":{"400":"Normal","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Send Flowers","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Sevillana","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Seymour One","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Shadows Into Light","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Shadows Into Light Two","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Shalimar","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Shanti","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Share","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Share Tech","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Share Tech Mono","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Shippori Antique","variants":{"400":"Normal"},"subsets":{"japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Shippori Antique B1","variants":{"400":"Normal"},"subsets":{"japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Shippori Mincho","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Shippori Mincho B1","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Shojumaru","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Short Stack","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Shrikhand","variants":{"400":"Normal"},"subsets":{"gujarati":"Gujarati","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Siemreap","variants":{"400":"Normal"},"subsets":{"khmer":"Khmer"}},{"family":"Sigmar One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Signika","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Signika Negative","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Silkscreen","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Simonetta","variants":{"400":"Normal","400italic":"Normal Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Single Day","variants":{"400":"Normal"},"subsets":{"korean":null}},{"family":"Sintony","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Sirin Stencil","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Six Caps","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Skranji","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Slabo 13px","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Slabo 27px","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Slackey","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Smokum","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Smooch","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Smooch Sans","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Smythe","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Sniglet","variants":{"400":"Normal","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Snippet","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Snowburst One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Sofadi One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Sofia","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Solway","variants":{"300":"Light","400":"Normal","500":"Medium","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin"}},{"family":"Song Myung","variants":{"400":"Normal"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Sonsie One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Sora","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Sorts Mill Goudy","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Source Code Pro","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Source Sans 3","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Source Sans Pro","variants":{"200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Source Serif 4","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Source Serif Pro","variants":{"200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Space Grotesk","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Space Mono","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Special Elite","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Spectral","variants":{"200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Spectral SC","variants":{"200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Spicy Rice","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Spinnaker","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Spirax","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Splash","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Spline Sans","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Spline Sans Mono","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Squada One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Square Peg","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Sree Krushnadevaraya","variants":{"400":"Normal"},"subsets":{"latin":"Latin","telugu":"Telugu"}},{"family":"Sriracha","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Srisakdi","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Staatliches","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Stalemate","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Stalinist One","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Stardos Stencil","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"Stick","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Stick No Bills","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","sinhala":"Sinhala"}},{"family":"Stint Ultra Condensed","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Stint Ultra Expanded","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Stoke","variants":{"300":"Light","400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Strait","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Style Script","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Stylish","variants":{"400":"Normal"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Sue Ellen Francisco","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Suez One","variants":{"400":"Normal"},"subsets":{"hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Sulphur Point","variants":{"300":"Light","400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Sumana","variants":{"400":"Normal","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Sunflower","variants":{"300":"Light","500":"Medium","700":"Bold"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Sunshiney","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Supermercado One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Sura","variants":{"400":"Normal","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Suranna","variants":{"400":"Normal"},"subsets":{"latin":"Latin","telugu":"Telugu"}},{"family":"Suravaram","variants":{"400":"Normal"},"subsets":{"latin":"Latin","telugu":"Telugu"}},{"family":"Suwannaphum","variants":{"100":"Thin","300":"Light","400":"Normal","700":"Bold","900":"Ultra Bold"},"subsets":{"khmer":"Khmer","latin":"Latin"}},{"family":"Swanky and Moo Moo","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Syncopate","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"Syne","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"greek":"Greek","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Syne Mono","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Syne Tactile","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Tai Heritage Pro","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","tai-viet":null,"vietnamese":"Vietnamese"}},{"family":"Tajawal","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"arabic":"Arabic","latin":"Latin"}},{"family":"Tangerine","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"Tapestry","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Taprom","variants":{"400":"Normal"},"subsets":{"khmer":"Khmer","latin":"Latin"}},{"family":"Tauri","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Taviraj","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Teko","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Telex","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Tenali Ramakrishna","variants":{"400":"Normal"},"subsets":{"latin":"Latin","telugu":"Telugu"}},{"family":"Tenor Sans","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Text Me One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Texturina","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Thasadith","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"The Girl Next Door","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"The Nautigal","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Tienne","variants":{"400":"Normal","700":"Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin"}},{"family":"Tillana","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Timmana","variants":{"400":"Normal"},"subsets":{"latin":"Latin","telugu":"Telugu"}},{"family":"Tinos","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Tiro Bangla","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"bengali":"Bengali","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Tiro Devanagari Hindi","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Tiro Devanagari Marathi","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Tiro Devanagari Sanskrit","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Tiro Gurmukhi","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"gurmukhi":"Gurmukhi","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Tiro Kannada","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"kannada":"Kannada","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Tiro Tamil","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","tamil":"Tamil"}},{"family":"Tiro Telugu","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","telugu":"Telugu"}},{"family":"Titan One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Titillium Web","variants":{"200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Tomorrow","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Tourney","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Trade Winds","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Train One","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Trirong","variants":{"100":"Thin","100italic":"Thin Italic","200":"Extra Light","200italic":"Extra Light Italic","300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic","800":"Extra Bold","800italic":"Extra Bold Italic","900":"Ultra Bold","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","thai":"Thai","vietnamese":"Vietnamese"}},{"family":"Trispace","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Trocchi","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Trochut","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"Truculenta","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Trykker","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Tulpen One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Turret Road","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","700":"Bold","800":"Extra Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Twinkle Star","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Ubuntu","variants":{"300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Ubuntu Condensed","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Ubuntu Mono","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","greek-ext":"Greek Extended","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Uchen","variants":{"400":"Normal"},"subsets":{"latin":"Latin","tibetan":null}},{"family":"Ultra","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Uncial Antiqua","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Underdog","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Unica One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"UnifrakturCook","variants":{"700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"UnifrakturMaguntia","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Unkempt","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin"}},{"family":"Unlock","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Unna","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Updock","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Urbanist","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"VT323","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Vampiro One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Varela","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Varela Round","variants":{"400":"Normal"},"subsets":{"hebrew":"Hebrew","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Varta","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Vast Shadow","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Vazirmatn","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold"},"subsets":{"arabic":"Arabic","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Vesper Libre","variants":{"400":"Normal","500":"Medium","700":"Bold","900":"Ultra Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Viaoda Libre","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Vibes","variants":{"400":"Normal"},"subsets":{"arabic":"Arabic","latin":"Latin"}},{"family":"Vibur","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Vidaloka","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Viga","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Voces","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Volkhov","variants":{"400":"Normal","400italic":"Normal Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin"}},{"family":"Vollkorn","variants":{"400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","greek":"Greek","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Vollkorn SC","variants":{"400":"Normal","600":"Semi Bold","700":"Bold","900":"Ultra Bold"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Voltaire","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Vujahday Script","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Waiting for the Sunrise","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Wallpoet","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Walter Turncoat","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Warnes","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Water Brush","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Waterfall","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Wellfleet","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Wendy One","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Whisper","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"WindSong","variants":{"400":"Normal","500":"Medium"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Wire One","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Work Sans","variants":{"100":"Thin","200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","800":"Extra Bold","900":"Ultra Bold","100italic":"Thin Italic","200italic":"Extra Light Italic","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic","800italic":"Extra Bold Italic","900italic":"Ultra Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Xanh Mono","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Yaldevi","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","sinhala":"Sinhala"}},{"family":"Yanone Kaffeesatz","variants":{"200":"Extra Light","300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold"},"subsets":{"cyrillic":"Cyrillic","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Yantramanav","variants":{"100":"Thin","300":"Light","400":"Normal","500":"Medium","700":"Bold","900":"Ultra Bold"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Yatra One","variants":{"400":"Normal"},"subsets":{"devanagari":"Devanagari","latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Yellowtail","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Yeon Sung","variants":{"400":"Normal"},"subsets":{"korean":null,"latin":"Latin"}},{"family":"Yeseva One","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","cyrillic-ext":"Cyrillic Extended","latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Yesteryear","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Yomogi","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Yrsa","variants":{"300":"Light","400":"Normal","500":"Medium","600":"Semi Bold","700":"Bold","300italic":"Light Italic","400italic":"Normal Italic","500italic":"Medium Italic","600italic":"Semi Bold Italic","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended","vietnamese":"Vietnamese"}},{"family":"Yuji Boku","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Yuji Mai","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Yuji Syuku","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Yusei Magic","variants":{"400":"Normal"},"subsets":{"japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"ZCOOL KuaiLe","variants":{"400":"Normal"},"subsets":{"chinese-simplified":null,"latin":"Latin"}},{"family":"ZCOOL QingKe HuangYou","variants":{"400":"Normal"},"subsets":{"chinese-simplified":null,"latin":"Latin"}},{"family":"ZCOOL XiaoWei","variants":{"400":"Normal"},"subsets":{"chinese-simplified":null,"latin":"Latin"}},{"family":"Zen Antique","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","greek":"Greek","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Zen Antique Soft","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","greek":"Greek","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Zen Dots","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Zen Kaku Gothic Antique","variants":{"300":"Light","400":"Normal","500":"Medium","700":"Bold","900":"Ultra Bold"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Zen Kaku Gothic New","variants":{"300":"Light","400":"Normal","500":"Medium","700":"Bold","900":"Ultra Bold"},"subsets":{"cyrillic":"Cyrillic","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Zen Kurenaido","variants":{"400":"Normal"},"subsets":{"cyrillic":"Cyrillic","greek":"Greek","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Zen Loop","variants":{"400":"Normal","400italic":"Normal Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Zen Maru Gothic","variants":{"300":"Light","400":"Normal","500":"Medium","700":"Bold","900":"Ultra Bold"},"subsets":{"cyrillic":"Cyrillic","greek":"Greek","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Zen Old Mincho","variants":{"400":"Normal","700":"Bold","900":"Ultra Bold"},"subsets":{"cyrillic":"Cyrillic","greek":"Greek","japanese":null,"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Zen Tokyo Zoo","variants":{"400":"Normal"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Zeyada","variants":{"400":"Normal"},"subsets":{"latin":"Latin"}},{"family":"Zhi Mang Xing","variants":{"400":"Normal"},"subsets":{"chinese-simplified":null,"latin":"Latin"}},{"family":"Zilla Slab","variants":{"300":"Light","300italic":"Light Italic","400":"Normal","400italic":"Normal Italic","500":"Medium","500italic":"Medium Italic","600":"Semi Bold","600italic":"Semi Bold Italic","700":"Bold","700italic":"Bold Italic"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}},{"family":"Zilla Slab Highlight","variants":{"400":"Normal","700":"Bold"},"subsets":{"latin":"Latin","latin-ext":"Latin Extended"}}]';
    
    $google_font_array = json_decode($google_font_json, true);

    return $google_font_array;
}

function total_standard_font_array() {
    return array(
        0 => array(
            'family' => 'Helvetica',
            'variants' => array(
                '400' => 'Normal',
                '700' => 'Bold'
            ),
            'subsets' => array(
                'latin' => 'Latin'
            )
        ),
        1 => array(
            'family' => 'Verdana',
            'variants' => array(
                '400' => 'Normal',
                '700' => 'Bold'
            ),
            'subsets' => array(
                'latin' => 'Latin'
            )
        ),
        2 => array(
            'family' => 'Arial',
            'variants' => array(
                '400' => 'Normal',
                '700' => 'Bold'
            ),
            'subsets' => array(
                'latin' => 'Latin'
            )
        ),
        3 => array(
            'family' => 'Times',
            'variants' => array(
                '400' => 'Normal',
                '700' => 'Bold'
            ),
            'subsets' => array(
                'latin' => 'Latin'
            )
        ),
        4 => array(
            'family' => 'Georgia',
            'variants' => array(
                '400' => 'Normal',
                '700' => 'Bold'
            ),
            'subsets' => array(
                'latin' => 'Latin'
            )
        ),
        5 => array(
            'family' => 'Courier',
            'variants' => array(
                '400' => 'Normal',
                '700' => 'Bold'
            ),
            'subsets' => array(
                'latin' => 'Latin'
            )
        ),
        6 => array(
            'family' => 'Trebuchet',
            'variants' => array(
                '400' => 'Normal',
                '700' => 'Bold'
            ),
            'subsets' => array(
                'latin' => 'Latin'
            )
        ),
        7 => array(
            'family' => 'Tahoma',
            'variants' => array(
                '400' => 'Normal',
                '700' => 'Bold'
            ),
            'subsets' => array(
                'latin' => 'Latin'
            )
        ),
        8 => array(
            'family' => 'Palatino',
            'variants' => array(
                '400' => 'Normal',
                '700' => 'Bold'
            ),
            'subsets' => array(
                'latin' => 'Latin'
            )
        )
    );
}
